
Epilepsy Warning Bracelet - Task #15904

Details on the MATLAB Code

18/04/2021 12:21 - Ana Marta Dias

Status: Resolved Start date: 18/04/2021

Priority: Normal Due date:  

Assignee: Ana Marta Dias % Done: 90%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

DELTÓIDE

1 - Filtragem

High-Pass a 150 Hz (Só para ZC)

2 - Deteção | Zero Crossing

Sliding Windows (sobreposição de 75% e histerese de 50uV) + função do MATLAB específica para tal. Se ZC ultrapassar 253,

enviar um alarme e o plotting para a interface. Enviar o vetor ZC para o Arduino e implementar este threshold de alarme com

base num algoritmo ON/OFF.

3 - Duração | HF/LF

Wavelet transform: calcular o rácio HF (64–256 Hz) / LF (2–8 Hz).

- Fase tonic: HF/LF é 20% do valor de pico, antes e depois deste mesmo pico.

BICEPS

1 - Filtragem

Band-Pass a 8 Hz - 260 Hz

2 - Deteção + Duração

É considerado um ataque epiléptico se for mais do que 20 segundos. Tem tudo um filtro de mediana para corrigir alguns

outliers.

- Fase tonic (HF/LF > threshold por nós definido, para já é 1)

- Fase clonic (depois da tonic phase, mal se verifique HF == LF). O ataque termina quando o rácio passa a ser 0 por mais de 3

segundos.

History

#1 - 24/04/2021 14:12 - Ana Marta Dias

- Status changed from New to In Progress

- Assignee set to Ana Marta Dias

#2 - 08/05/2021 14:17 - Ana Marta Dias

- File func_BicepsHFLF.m added

- File func_DeltoidHFLF.m added

- File func_ZC.m added

- File HFLF_Bandpass.m added

- File TotalBiceps.m added

- File TotalDeltoid.m added

- File ZC_HighPass.m added

- Status changed from In Progress to Resolved

#3 - 08/05/2021 14:19 - Ana Marta Dias

- % Done changed from 0 to 90
#4 - 19/06/2021 13:49 - Ana Marta Dias

- File deleted (func_BicepsHFLF.m)

#5 - 19/06/2021 13:49 - Ana Marta Dias

- File deleted (func_DeltoidHFLF.m)

#6 - 19/06/2021 13:49 - Ana Marta Dias

- File deleted (func_ZC.m)

#7 - 19/06/2021 13:50 - Ana Marta Dias

- File deleted (HFLF_Bandpass.m)

#8 - 19/06/2021 13:50 - Ana Marta Dias

- File deleted (TotalBiceps.m)

#9 - 19/06/2021 13:50 - Ana Marta Dias

- File deleted (TotalDeltoid.m)

#10 - 19/06/2021 13:50 - Ana Marta Dias

- File deleted (ZC_HighPass.m)

#11 - 19/06/2021 13:51 - Ana Marta Dias

- File finalScript.m added

- File func_BicepsHFLF.m added

- File func_DeltoidHFLF.m added

- File func_ZC.m added

- File HFLF_Bandpass.m added

- File thresholdBiceps.m added

- File thresholdDeltoid.m added

Files

finalScript.m 4.31 KB 19/06/2021 Ana Marta Dias

func_BicepsHFLF.m 1.25 KB 19/06/2021 Ana Marta Dias

func_DeltoidHFLF.m 1.16 KB 19/06/2021 Ana Marta Dias

func_ZC.m 1.22 KB 19/06/2021 Ana Marta Dias

HFLF_Bandpass.m 436 Bytes 19/06/2021 Ana Marta Dias

thresholdBiceps.m 836 Bytes 19/06/2021 Ana Marta Dias

thresholdDeltoid.m 421 Bytes 19/06/2021 Ana Marta Dias

Powered by TCPDF (www.tcpdf.org)

19/05/2024 2/2

http://www.tcpdf.org

